import request from '/@/utils/request';

/**
 * 分页查询班级考勤列表
 * @param query
 */
export const fetchList = (query?: any) => {
  return request({
    url: '/stuwork/classattendance/page',
    method: 'get',
    params: query
  });
};

/**
 * 查询我的班级列表
 */
export const queryMyClassList = () => {
  return request({
    url: '/stuwork/classattendance/queryMyClassList',
    method: 'get'
  });
};

/**
 * 提交考勤
 * @param data
 */
export const saveDataBatch = (data: any) => {
  return request({
    url: '/stuwork/classattendance/saveDataBatch',
    method: 'post',
    data
  });
};

